Bug 222869 - devel/oniguruma6: Rename to devel/oniguruma
Summary: devel/oniguruma6: Rename to devel/oniguruma
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-08 18:52 UTC by Michael Bueker
Modified: 2017-11-13 11:39 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Bueker 2017-10-08 18:52:04 UTC
As per the discussions in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220818 and https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220438, this port is now the only version of oniguruma that is maintained and depended upon by other ports.

Tickets to delete the remaining ports are https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222867 for oniguruma4 and https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222868 for oniguruma5.
Comment 1 Michael Bueker 2017-10-08 19:20:54 UTC
Affected ports that depend on oniguruma6, as per freshports.org:

converters/php56-mbstring
converters/php70-mbstring
converters/php71-mbstring
lang/mosh
textproc/jq
Comment 2 Thomas Zander freebsd_committer 2017-11-12 13:37:34 UTC
Maintainer timeout
Comment 3 commit-hook freebsd_committer 2017-11-12 14:00:18 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov 12 13:59:16 UTC 2017
New revision: 454041
URL: https://svnweb.freebsd.org/changeset/ports/454041

Log:
  Rename devel/oniguruma6 to devel/oniguruma

  Details:
  - Previous, unmaintained versions of devel/oniguruma have been
    cleared from the ports tree.
  - No ports depend on outdated versions of devel/oniguruma.
  - Only one version is supported upstream.

  PR:		222869
  Reported by:	m.bueker@berlin.de
  Approved by:	maintainer timeout

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/oniguruma/
  head/devel/oniguruma/Makefile
  head/devel/oniguruma6/
Comment 4 commit-hook freebsd_committer 2017-11-12 14:01:23 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov 12 14:00:49 UTC 2017
New revision: 454042
URL: https://svnweb.freebsd.org/changeset/ports/454042

Log:
  Chase renaming of devel/oniguruma6 to devel/oniguruma

  PR:		222869
  Reported by:	m.bueker@berlin.de

Changes:
  head/devel/libslang2/Makefile
  head/lang/mosh/Makefile
  head/lang/php56/Makefile.ext
  head/lang/php70/Makefile.ext
  head/lang/php71/Makefile.ext
  head/mail/sylpheed/Makefile
  head/textproc/jq/Makefile
Comment 5 commit-hook freebsd_committer 2017-11-12 14:09:31 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov 12 14:09:13 UTC 2017
New revision: 454043
URL: https://svnweb.freebsd.org/changeset/ports/454043

Log:
  Provide UPDATING entry for renaming of devel/oniguruma6 to devel/oniguruma

  PR:		222869
  Reported by:	m.bueker@berlin.de

Changes:
  head/UPDATING
Comment 6 commit-hook freebsd_committer 2017-11-13 11:39:00 UTC
A commit references this bug:

Author: riggs
Date: Mon Nov 13 11:38:45 UTC 2017
New revision: 454104
URL: https://svnweb.freebsd.org/changeset/ports/454104

Log:
  Remove superfluous entry for devel/oniguruma after restore

  PR:		222869
  Reported by:	yz@yz.kiev.ua (via e-mail)

Changes:
  head/MOVED